
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;
import type.lib.ToolBox;

public class L22App1 {
	public static void main(String[] args) throws IOException {
		PrintStream output = System.out;

		// we represent the remote resource in which we are interested
		String theURL = "http://www.cse.yorku.ca/~roumani/jba/ase/se.cgi?hrss=.BB";

		// we construct an object to encapsulate this particular URL
		URL url = new URL(theURL);

		// obtain a reference to the object that encapsulates the connection
		// to this remote resource
		URLConnection connection = url.openConnection();

		// since the protocol is http, we know the connection will be a specific
		// sub-type of URLConnection: HttpURLConnection
		// we want to cast the reference to this more-specific type, but we want
		// to do it in the correct way
		HttpURLConnection httpConnection = null;

		if (connection instanceof HttpURLConnection) {
			httpConnection = (HttpURLConnection) connection;
		} else {
			output.println("We are considering only http protocol in this example.");
			System.exit(0);
		}

		// Now we check whether the server was able to serve up the requested
		// content
		boolean isContentFound = HttpURLConnection.HTTP_OK == httpConnection
				.getResponseCode();

		ToolBox.crash(!isContentFound, "No content provided by server.");

		InputStream htmlInputStream = httpConnection.getInputStream();
		String content = "";

		Scanner dataFromServer = new Scanner(htmlInputStream);
		while (dataFromServer.hasNext()) {
			String currentLine = dataFromServer.nextLine();
			content += "\n" + currentLine;
			output.println(currentLine);
		}
	}
}
