
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

import type.lib.ToolBox;

public class L22App1b {
	public static void main(String[] args) throws IOException {
		PrintStream output = System.out;
		// Construct a URL object to represent the abstract stock exchange, with
		// a particular query string


		String theURL = "http://www.cse.yorku.ca/~roumani/jba/ase/se.cgi?hrss=.BB";

		URL url = new URL(theURL);
		// Obtain a reference to the object that encapsulates the
		// HttpURLConnection to this remote resource, do this is a quick but
		// unsafe way


		// here is a unprotected manual cast. In general, this should be
		// avoided. However, we use the short-cut here in order to save space.
		HttpURLConnection httpConnection = (HttpURLConnection) url
				.openConnection();
		
		// Validate that the server was able to serve up the requested
		// content; terminate the program otherwise

		boolean isContentFound = HttpURLConnection.HTTP_OK == httpConnection
				.getResponseCode();
		ToolBox.crash(!isContentFound, "No content provided by server.");
		

		// Read the content retrieved by the web server, line by line

		InputStream htmlInputStream = httpConnection.getInputStream();
		String content = "";
		Scanner dataFromServer = new Scanner(htmlInputStream);
		while (dataFromServer.hasNext()) {
			String currentLine = dataFromServer.nextLine();
			content += "\n" + currentLine;
			output.println(currentLine);
		}

	}
}
