

import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

import type.lib.ToolBox;

public class L22App1c {
	public static void main(String[] args) throws IOException,
			InterruptedException {
		PrintStream output = System.out;

		// Construct a URL object to represent the abstract stock exchange, with
		// a particular query string

		// we represent the remote resource in which we are interested
		String theURL = "http://www.cse.yorku.ca/~roumani/jba/ase/se.cgi?hrss=.JJ";

		// we construct an object to encapsulate this particular URL
		URL url = new URL(theURL);

		// Ask the web server to serve up the content 10 times, with a 2 second
		// pause between each request.

		for (int index = 0; index < 10; index = index + 1) {
			HttpURLConnection httpConnection = (HttpURLConnection) url
					.openConnection();
			boolean isContentFound = HttpURLConnection.HTTP_OK == httpConnection
					.getResponseCode();
			ToolBox.crash(!isContentFound, "No content provided by server.");
			InputStream htmlInputStream = httpConnection.getInputStream();
			String content = "";
			Scanner dataFromServer = new Scanner(htmlInputStream);
			// we want a regex that matches "Price: 81.35"
			// but not other lines
			String REGEX = "Price: \\d+.\\d\\d";
			String SPACE_CHAR = " ";
			while (dataFromServer.hasNext()) {
				String currentLine = dataFromServer.nextLine();
				content += "\n" + currentLine;
				// output.println(currentLine);
				// output.println(currentLine.matches(REGEX));
				if (currentLine.matches(REGEX)) {
					int idx = currentLine.indexOf(SPACE_CHAR);
					String thePrice = currentLine.substring(idx + 1);
					output.println(thePrice);
					float thePrice2 = Float.parseFloat(thePrice);
					output.println(thePrice2);
				}
			}

			Thread.sleep(1000);
			// this method potentially throws an InterruptedException, so this
			// needs to be added to the "throws" section above
		}
	}
}
