

import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

import type.lib.ToolBox;

public class L22App2 {
	public static void main(String[] args) throws IOException {
		PrintStream output = System.out;
		// Construct a URL object to represent the abstract stock exchange.
		// Prompt the user for the particular stock symbol.


		// we represent the remote resource in which we are interested
		String theURL = "http://www.cse.yorku.ca/~roumani/jba/ase/se.cgi?";
		Scanner userInput = new Scanner(System.in);
		output.println("Enter the stock symbol of interest: ");
		String theSymbol = userInput.nextLine();
		// assume the user input is valid

		theURL = theURL + "hrss=" + theSymbol;
		URL url = new URL(theURL);
		
		// Ask the web server to serve up the content.


		URLConnection connection = url.openConnection();
		HttpURLConnection httpConnection = null;
		if (connection instanceof HttpURLConnection) {
			httpConnection = (HttpURLConnection) connection;
		} else {
			output.println("We are considering only http protocol in this example.");
			System.exit(0);
		}
		boolean isContentFound = HttpURLConnection.HTTP_OK == httpConnection
				.getResponseCode();

		ToolBox.crash(!isContentFound, "No content provided by server.");

		InputStream htmlInputStream = httpConnection.getInputStream();
		String content = "";

		// Extract the current stock price from the data that was provided by
		// the server.

		String REGEX = "Price: \\d*\\.\\d\\d";
		final String SPACE_CHAR = " ";
		Scanner dataFromServer = new Scanner(htmlInputStream);
		double thePrice = 0.00;
		while (dataFromServer.hasNext()) {
			String currentLine = dataFromServer.nextLine();
			content += "\n" + currentLine;
			output.println(currentLine);
			boolean isMatch = currentLine.matches(REGEX);
			output.println(isMatch);
			if (isMatch) {
				String price = currentLine.substring(currentLine
						.indexOf(SPACE_CHAR) + 1);
				output.println(price);
				thePrice = Double.parseDouble(price);
				output.println(thePrice);
			}
		}

		output.println("The current price is: " + thePrice);

	}
}
